Bug 45348 - [swrast] piglit fbo-drawbuffers-arbfp regression
Summary: [swrast] piglit fbo-drawbuffers-arbfp regression
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-01-28 15:22 UTC by Vinson Lee
Modified: 2016-07-09 00:10 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2012-01-28 15:22:52 UTC
mesa: 743432039ccd4c4af03aa4ef274a7922f871bc38 (master)

Run piglit fbo-drawbuffers-arbfp on swrast.

$ ./bin/fbo-drawbuffers-arbfp -auto
Mesa: Initializing x86-64 optimizations
Probe at (64,0)
  Expected: 0.200000 0.900000 0.500000 0.800000
  Observed: 0.701961 0.600000 0.301961 0.101961
PIGLIT: {'result': 'fail' }


# good: [2873555a76a7358db053c3a7b121b489f8df9bb1] osmesa: remove obsolete GetRow/PutRow code
git bisect good 2873555a76a7358db053c3a7b121b489f8df9bb1
# bad: [a9bf149e7f699d05bcf31dff54c4b4cf78018dd0] dri/swrast: remove obsolete swrast_span.c file from source list
git bisect bad a9bf149e7f699d05bcf31dff54c4b4cf78018dd0


There are only 'skip'ped commits left to test.
The first bad commit could be any of:
d16e71eeb47d1e67930f6e86a80dc926468224d9
f2479530b8be3866c234ac759a7fa84e634dd1aa
34988272d9c7a889a26bb8bdcb841d44797a5dd6
9f8ed9d66298e2dc5dff508e3ea723469fe06d93
924de7dc96f4607cb3d833637b5f69f4b9e2a6d0
c080202db5363a18a759a9a7c82b40ac558c8abe
1048d55d5fa60d17dd99ac7394ff0572500625f9
797c18be1f907337ebd85b18ce43dfa0b056f492
0c1862851f27c428a18ba5509636efcc2f0084f8
c45771905f237d9285465dfce955440582ee51e5
881ef2a9db22cff4c7d07b873d23b0c324da555a
becbb643135ddccac5054bf138ca0cc7cc3fff15
1888dd52a32e114e7b3796db5a6b44921a2e04d4
8696a5210289166ce39d765d771258258400e876
1da7d6c919e9a6d756b208caa6685bfa1146b543
b0f0d7a8118401b209c674804255b5fd9e8c94c0
59a5b5a193d5d9c5776aa586b34657b6e315479d
6c1e27ba219e41ae2641cca0d3c67462bdba8631
1839a7fc9faae81d32ffc0cdc908b933f4524e28
ab331140c68d1c157e69ea8e53b44729355fa43c
7a36345f70a0b8ac2d480bb52eb2c74c2be5a978
bde356a1580f52cae0aaca020a33a6437083a450
4bbab2275f792553f8ed6bcebfe6acc4cb4179c2
f6a3979a0444a14c198c10501e9ff13f24625443
8b8a54afd9b748b7250993393864544ad6961edb
f9874feef4d8952df5054bd8e8f4e0deda4ef44f
1e1b5cb01a10e39d01923e3c7e989c44210950cd
56d83ac4bf0267982554f25c6fdb3c1dd6e14a9c
1caf698191fb871850311353862eb7fc927f9f9c
82846fea4d042466ccfd5b3c86d98e856086cc05
304f7a132741a528ca6e861a918ef59991874e5f
9403cc3aba0769dc6925cea3ec20aa95d491f516
4baf90353dee771e553c552674616b93aedeaecf
a4c6dedb27897ae1340983b5d12927e0a9fb2212
89bb19adb08caaefc01e613e9bbfbdd1f366ddab
f892debdc21d12c40d2b69b4e9efdf527672d3ec
41869c49421141807ab71cabca4c8a07611f6a64
cf386f0a2ba3efcfd6ddbfcbebaf98a9bfa7a29f
ba151a333be7a23266b23ee6f65669bb19221546
cb5fa9ea624574909bf57f9e1ad190a440d59dc2
a9bf149e7f699d05bcf31dff54c4b4cf78018dd0
We cannot bisect more!
bisect run cannot continue any more
Comment 1 Vinson Lee 2013-01-14 01:03:12 UTC
mesa: 6acef6c5f779ed0ba390f556479c428a36d70edb (master)

The piglit fbo-drawbuffers-arbfp on swrast is still present.
Comment 2 Vinson Lee 2013-07-04 20:26:04 UTC
mesa: f3bbf65929e395360e5565d08d015977dd5b79fa (master)

This regression is still present in latest master.
Comment 3 Vinson Lee 2014-03-02 03:40:49 UTC
mesa: fc25956badb8e1932cc19d8c97b4be16e92dfc65 (master 10.2.0-devel)

The piglit fbo-drawbuffers-arbfp on swrast is still present.
Comment 4 Vinson Lee 2015-02-14 02:14:12 UTC
mesa: 8323796840a343ee39687cc8e8b424ee43d6fee7 (10.6.0-devel)

piglit fbo-drawbuffers-arbfp still fails on swrast.
Comment 5 Emil Velikov 2015-07-06 12:55:12 UTC
Hi Vinson,

Brian has pushed a fix shortly after your last test. It's available with 10.5.0 and later. Feel free to give it a test and reopen if the issue persists.

commit 89c96afe3c0acf8f2fccaf02da02945afe8ba5f3
Author: Brian Paul <brianp@vmware.com>
Date:   Mon Feb 16 11:23:06 2015 -0700

    swrast: fix multiple color buffer writing


bug/show.html.tmpl processed on Mar 25, 2017 at 09:45:32.
(provided by the Example extension).